#include <cstdio>
#include <cmath>
#include <cstring>
#include <iomanip>
#include <vector>
#include <stack>
#include <bitset>
#include <map>
#include <iostream>
#include <algorithm>
#include <string>
using namespace std;
long long v;
int br,rez,broj;
int a[25];
int main(){
cin>>v;
while(v>0){
    br++;
    a[br]=(v%10);
    v=v/10;

}
for(int i=br;i>=1;i--){
    while(a[i]>0){
        if(a[i]>=5){a[i]-=5;rez++;}
        if(a[i]>=2){a[i]-=2;rez++;}
        else if(a[i]>=1){a[i]-=1;rez++;}
    }

}
cout<<rez<<endl;
return 0;
}